import React, { useState } from 'react';
import {BrowserRouter as Router, Route, Link, Switch, Redirect} from 'react-router-dom';
// import createHistory from "history/createBrowserHistory";
import {createStore, combineReducers, applyMiddleware} from 'redux';
import Header from "./header";
import Footer from "./footer";
import Main from "./Main";
import actionCatalogCard from "../reducers/reducerCat";
import Links from "./links"
import CGoodsCategory from "./goodsCategory";
import OneGood from './oneGood';
import CGoodsList from "./goodsList";
import {SearchInput, SearchUserInput} from "./searchInput";
import CGoodsSearch from "./goodsSearch";
import CGoodsListSearch from "./goodsListSearch";
import GoodsNotFound from "./goodsNotFound";
import LoginForm from "./loginOnPage";
import CGoodCard from "./goodCard";
// import {CUpdateForm} from "./updateForm";
import CYourProfile from "./profilePage";
import CBasketPage from "./basket";
import COrderPage from "./orderDonePage";
import CUsersList from "./usersList";
import COrdersList from "./ordersList";
import COrderUpdate from "./orderUpdate";
import CWishesPage from "./wishesPage";


export {Header,Footer, actionCatalogCard, Main, Links, CGoodsCategory, OneGood, CGoodsList, SearchInput, CGoodsSearch, CGoodsListSearch, GoodsNotFound, 
LoginForm, CGoodCard, CWishesPage, CYourProfile, COrderUpdate, CBasketPage, COrdersList, COrderPage, CUsersList, SearchUserInput};



